// Title : C_Sample for Lock & Key 32
// File  : Mainwnd.h
// By    : J.R.Mainwaring
//
// Copyright(C) 1998 J.R.Mainwaring

#ifndef _MAINWND_HPP
#define _MAINWND_HPP

#include <afxwin.h>
#include "lnk32.h"

class CMainWnd : public CFrameWnd
{
private:
    BOOL m_bLoggedIn;
    char m_szUid[UID_MAXLEN + 1];
    WORD m_wKeyFlags;
public:
    CMainWnd();
    void OnExit();
	void OnBackup();
	void OnRestore();
    void OnLogin();
    void OnLogout();
    void OnUserMaint();
    void OnChgPwd();
    void OnUpdateCreateDatabase(CCmdUI* pCmdUI);
    void OnUpdateOpenDatabase(CCmdUI* pCmdUI);
    void OnUpdateCloseDatabase(CCmdUI* pCmdUI);
    void OnUpdateAddRecord(CCmdUI* pCmdUI);
    void OnUpdateEditRecord(CCmdUI* pCmdUI);
    void OnUpdateDeleteRecord(CCmdUI* pCmdUI);
    void OnUpdateLogin(CCmdUI* pCmdUI);
    void OnUpdateLogout(CCmdUI* pCmdUI);

    DECLARE_MESSAGE_MAP()
};

#endif
